/** 
 * HelloWorldBigger.java
 *
 * Taken from the Java JDK documentation, 
 * modified on 20051115 for teaching CPS201
*/

// import Classes we'll be using from the libraries
import java.util.Date;  // lets us use the Date class.


/*  The Main Class definition.  */
class HelloWorldBigger {

    public static void main(String[] args) {

	 // allocates a new Date object,
      // with the current date/time set as the default
      Date dateNow = new Date(); 

      // allocates a new helper object
      HelloWorldHelper myHWH = new HelloWorldHelper();

      /* get the string to output */
      String txtOut = myHWH.getOutString (dateNow); 
	
      System.out.println(txtOut); //Display the string.

      System.exit(0); // This is unnecessary
    }

}


/* This is a helper class to return the string we want. */
class HelloWorldHelper {
  
    private String myTxtToReturn;

    public String getOutString(Date dateIN) {

        myTxtToReturn = "Hello World!\n\n\tIt is currently: " + dateIN.toString() +"\n\n";

        return(myTxtToReturn);
    }
}
